%global npmname abstract-winston-transport

Name:           nodejs-%{npmname}
Version:        0.5.1
Release:        1%{?dist}
Summary:        Abstract test suite for winston

License:        MIT
URL:            https://www.npmjs.com/package/%{npmname}

Source0:        https://github.com/winstonjs/%{npmname}/archive/%{version}/%{name}-%{version}.tar.gz

# Stop the tests from trying to test the transpiled nodejs
# We can't ship it because it needs the babel compiler, and
# I'm not going to package that just for this.
#Patch0:         nodejs-logform-no-transpiled-tests.patch

BuildRequires:  nodejs-packaging

# These are runtime dependencies, as far as I can tell.
#BuildRequires:  nodejs-assume
#BuildRequires:  nodejs-diagnostics

BuildArch:      noarch
ExclusiveArch: %{nodejs_arches} noarch

%description
The base TransportStream implementation for winston >= 3.
Use these to write ecosystem Transports for winston.

%prep
%autosetup -n %{npmname}-%{version}

%nodejs_fixdep diagnostics

%build
# Nothing to build, this is a noarch package

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npmname}
cp -a *.js import utils %{buildroot}%{nodejs_sitelib}/%{npmname}/
cp -a package.json %{buildroot}%{nodejs_sitelib}/%{npmname}/

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'

%files
%{nodejs_sitelib}/%{npmname}/
%license LICENSE
%doc README.md CHANGELOG.md

%changelog
* Tue Apr 28 2020 Ben Rosser <rosser.bjr@gmail.com> - 0.5.1-1
- Initial package for Fedora.
